AMPS / SDK atlas-run compiles using Java 5 rather than java 8 so lambda functions fail

Description

Description

Workaround

Add the following properties to your maven pom:

Environment

None

Testing Notes

Add notes...

Activity

Show:
Mel Paisley
November 13, 2017, 1:12 PM

further info

maven-compiler-plugin by default will compile your project using Java 1.5 which is where m2e get's its information.
That's why you have to explicitly declare the maven-compiler-plugin in your project with something other then 1.5. Your effective pom.xml will implicitly use the default set in the maven-compiler-plugin pom.xml.

Fixed

Assignee

Mel Paisley

Reporter

Mel Paisley